Bug 188526 - ehci_hcd preventing usb_storage from working
ehci_hcd preventing usb_storage from working
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
NeedsRetesting
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-10 17:09 EDT by Stuart Jansen
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-17 20:15:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stuart Jansen 2006-04-10 17:09:04 EDT
Description of problem:
My USB mass storage MP3 player worked fine with FC4. It doesn't work with FC5
without a little encouragement. Specifically, I had to unload ehci_hcd then load
usb_storage before it would work.

Version-Release number of selected component (if applicable):
Linux vision.buscaluz.org 2.6.16-1.2080_FC5 #1 Tue Mar 28 03:38:34 EST 2006 i686
athlon i386 GNU/Linux

How reproducible:
Always

Steps to Reproduce:
1. Boot. ehci_hcd is loaded
2. Plug in usb mass storage device
3. Notice error messages.
  
Actual results:
Device does not successfully connect. USB mass storage never initialized.

Expected results:
Device properly configured, mas storage works.

Additional info:
After performing an
 rmmod ehci_hcd
 modprobe usb_storage
then plugging in the device, everything is peachy.

/var/log/messages usb initilization at boot:
==========
Apr 10 13:06:44 vision kernel: ACPI: PCI Interrupt Link [LUS0] enabled at IRQ
20Apr 10 13:06:44 vision kernel: ACPI: PCI Interrupt 0000:00:02.0[A] -> Link
[LUS0] -> GSI 20 (level, low) -> IRQ 20
Apr 10 13:06:44 vision kernel: ohci_hcd 0000:00:02.0: OHCI Host Controller
Apr 10 13:06:44 vision kernel: ohci_hcd 0000:00:02.0: new USB bus registered,
assigned bus number 1
Apr 10 13:06:44 vision kernel: ohci_hcd 0000:00:02.0: irq 20, io mem 0xe0000000
Apr 10 13:06:44 vision kernel: usb usb1: configuration #1 chosen from 1 choice
Apr 10 13:06:44 vision kernel: hub 1-0:1.0: USB hub found
Apr 10 13:06:44 vision kernel: hub 1-0:1.0: 3 ports detected
Apr 10 13:06:44 vision kernel: ACPI: PCI Interrupt Link [LUS1] enabled at IRQ
22Apr 10 13:06:44 vision kernel: ACPI: PCI Interrupt 0000:00:02.1[B] -> Link
[LUS1] -> GSI 22 (level, low) -> IRQ 18
Apr 10 13:06:44 vision kernel: ohci_hcd 0000:00:02.1: OHCI Host Controller
Apr 10 13:06:44 vision kernel: ohci_hcd 0000:00:02.1: new USB bus registered,
assigned bus number 2
Apr 10 13:06:44 vision kernel: ohci_hcd 0000:00:02.1: irq 18, io mem 0xe0001000
Apr 10 13:06:44 vision kernel: usb usb2: configuration #1 chosen from 1 choice
Apr 10 13:06:44 vision kernel: hub 2-0:1.0: USB hub found
Apr 10 13:06:44 vision kernel: hub 2-0:1.0: 3 ports detected
Apr 10 13:06:44 vision kernel: ACPI: PCI Interrupt Link [LUS2] enabled at IRQ
21Apr 10 13:06:44 vision kernel: ACPI: PCI Interrupt 0000:00:02.2[C] -> Link
[LUS2] -> GSI 21 (level, low) -> IRQ 19
Apr 10 13:06:44 vision kernel: ehci_hcd 0000:00:02.2: EHCI Host Controller
Apr 10 13:06:44 vision kernel: ehci_hcd 0000:00:02.2: new USB bus registered,
assigned bus number 3
Apr 10 13:06:44 vision kernel: ehci_hcd 0000:00:02.2: irq 19, io mem 0xe0004000
Apr 10 13:06:44 vision kernel: ehci_hcd 0000:00:02.2: USB 2.0 started, EHCI
1.00, driver 10 Dec 2004
Apr 10 13:06:44 vision kernel: usb usb3: configuration #1 chosen from 1 choice
Apr 10 13:06:44 vision kernel: hub 3-0:1.0: USB hub found
Apr 10 13:06:45 vision kernel: hub 3-0:1.0: 6 ports detected
Apr 10 13:06:45 vision kernel: ACPI: PCI Interrupt 0000:02:00.0[A] -> Link
[LNK1] -> GSI 19 (level, low) -> IRQ 16
Apr 10 13:06:45 vision kernel: ohci1394: fw-host0: OHCI-1394 1.1 (PCI): IRQ=[16]
 MMIO=[e0108000-e01087ff]  Max Packet=[2048]  IR/IT contexts=[4/8]
Apr 10 13:06:45 vision kernel: Non-volatile memory driver v1.2
Apr 10 13:06:45 vision kernel: usb 2-1: new low speed USB device using ohci_hcd
and address 2
Apr 10 13:06:45 vision kernel: usb 2-1: configuration #1 chosen from 1 choice
Apr 10 13:06:45 vision kernel: input: Kensington Kensington PocketMouse Pro as
/class/input/input3
Apr 10 13:06:45 vision kernel: input: USB HID v1.10 Mouse [Kensington Kensington
PocketMouse Pro] on usb-0000:00:02.1-1
==========

lspci:
==========
00:00.0 Host bridge: nVidia Corporation nForce3 Host Bridge (rev a4)
00:01.0 ISA bridge: nVidia Corporation nForce3 LPC Bridge (rev a6)
00:01.1 SMBus: nVidia Corporation nForce3 SMBus (rev a4)
00:02.0 USB Controller: nVidia Corporation nForce3 USB 1.1 (rev a5)
00:02.1 USB Controller: nVidia Corporation nForce3 USB 1.1 (rev a5)
00:02.2 USB Controller: nVidia Corporation nForce3 USB 2.0 (rev a2)
00:06.0 Multimedia audio controller: nVidia Corporation nForce3 Audio (rev a2)
00:06.1 Modem: nVidia Corporation nForce3 Audio (rev a2)
00:08.0 IDE interface: nVidia Corporation nForce3 IDE (rev a5)
00:0a.0 PCI bridge: nVidia Corporation nForce3 PCI Bridge (rev a2)
00:0b.0 PCI bridge: nVidia Corporation nForce3 AGP Bridge (rev a4)
00:18.0 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron]
HyperTransport Technology Configuration
00:18.1 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] Address Map
00:18.2 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] DRAM
Controller
00:18.3 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron]
Miscellaneous Control
01:00.0 VGA compatible controller: nVidia Corporation NV17 [GeForce4 420 Go 32M]
(rev a3)
02:00.0 FireWire (IEEE 1394): Texas Instruments TSB43AB21 IEEE-1394a-2000
Controller (PHY/Link)
02:01.0 Ethernet controller: Realtek Semiconductor Co., Ltd.
RTL-8139/8139C/8139C+ (rev 10)
02:02.0 Network controller: Broadcom Corporation BCM4306 802.11b/g Wireless LAN
Controller (rev 03)
02:04.0 CardBus bridge: Texas Instruments PCI1620 PC Card Controller (rev 01)
02:04.1 CardBus bridge: Texas Instruments PCI1620 PC Card Controller (rev 01)
02:04.2 System peripheral: Texas Instruments PCI1620 Firmware Loading Function
(rev 01)
==========
Comment 1 Dave Jones 2006-10-16 13:40:00 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 2 Stuart Jansen 2007-09-17 20:15:32 EDT
I don't remember when the problem went away, but there's no point keeping this
bug open.

Note You need to log in before you can comment on or make changes to this bug.